#!/usr/bin/awk -f
#
# Warning: the 'resources_used.walltime' value reported by
# OpenPBS may be incorrect, if the job was "started"
# multiple times (unreasonably large time).
#
# Use accounting.c instead instead of for more accurate statistics
#

BEGIN { 
    if ( ARGC < 2 ) {
	print "  Usage: accounting.awk filename ..." > "/dev/stderr"
	exit 1
    }
    FS=";"
}

/\;E\;/ { 
    system("accounting.sh " $3 " " $4)
}

END {}
