#!/bin/csh

if ( $?MANPATH == 0 ) then
     setenv MANPATH ":"
endif

#setenv CC	gcc
setenv F77	ifc

if ( "`echo $PATH | grep -w /usr/local/pbs-scripts`" == "" ) then
    setenv PATH ${PATH}:/usr/local/pbs/bin:/usr/local/maui/bin
    setenv PATH ${PATH}:/opt/intel/compiler60/ia32/bin
    setenv MANPATH ${MANPATH}:/usr/local/pbs/man:/opt/intel/compiler60/man
    setenv MANPATH ${MANPATH}:/usr/local/pgi/man
    if ( -o /bin/su ) then
	setenv PATH ${PATH}:/usr/local/pbs/sbin:/usr/local/sbin
	setenv PATH ${PATH}:/usr/local/pbs/sbin:/usr/local/maui/sbin
    else
	setenv PATH .:$PATH
    endif
endif

if ( ! $?PVM_ROOT ) then
    setenv PVM_ROOT /usr/local/pvm
    setenv PVM_ARCH "LINUXGM"
    setenv PATH ${PATH}:${PVM_ROOT}/lib/${PVM_ARCH}:${PVM_ROOT}/lib
    setenv MANPATH ${MANPATH}:${PVM_ROOT}/man
endif

alias passwd "yppasswd"
alias ls "ls --color=tty"
alias rm "rm -i"
alias cp "cp -i"
alias mv "mv -i"

#setenv ETTERM linux-console
setenv ETTICKS 5

setenv PGI /usr/local/pgi
limit filesize 4194303

# set autologout time to two days (default is 60 for non-superuser)
set autologout=2880
