#!/bin/sh

if [ $# -ne 1 ]; then
    echo 1>&2 "Usage:   $0 year"
    echo 1>&2 "Example: $0 2001"
    exit 1
fi

year=$1

i=1
while [ $i -le 12 ]
do
    if [ $i -lt 10 ]; then s=0$i; else s=$i; fi
    echo 1>&2 "${year}${s}.log ..."
    #accounting.awk logs/${year}${s}?? > ${year}${s}.log
    accounting ${year}${s} logs/* > ${year}${s}.log
    i=$(($i+1))
done
